﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.01.001 Настройка пользователей и прав

Сценарий: 08_piece_rate_calculation.01.001 Создание профиля бухгалтера
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Профили групп доступа'
	Тогда открылось окно 'Профили групп доступа'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Профиль групп доступа (создание)'
	И в поле 'Наименование' я ввожу текст 'Бухгалтер'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                          |
		| 'Нет'     | 'Добавление и изменение: справочник "Физические лица"' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                                    |
		| 'Нет'     | 'Добавление изменение документ начисление зарплаты по операциям' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                                |
		| 'Нет'     | 'Добавление изменение документ установка стоимости операций' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                                        |
		| 'Нет'     | 'Добавление изменение справочник технологические операции выработки' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                         |
		| 'Нет'     | 'Использование обработки рабочее место мастера смены' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                      |
		| 'Нет'     | 'Просмотр отчет начисленная зарплата по операциям' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                                                    |
		| 'Нет'     | 'Просмотр отчета "Анализ распределения сдельной оплаты труда по времени работы"' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Нет'     | 'Раздел "Производство"'       |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'   |
		| 'Нет'     | 'Чтение документ учет операций' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'   |
		| 'Нет'     | 'Чтение документ переработка'   |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'      |
		| 'Нет'     | 'Чтение справочник рабочие центры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Нет'     | 'Чтение справочник смены'     |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'                     |
		| 'Нет'     | 'Чтение документ установка правил учета операций' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'         |
		| 'Нет'     | 'Чтение документ баланс жира и белка' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    |
		| 'Нет'     | 'Чтение документ закрытие смены' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    |
		| 'Нет'     | 'Чтение справочник номенклатура' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    	             |
		| 'Нет'     | 'Чтение справочник упаковки единицы измерения' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    	            |
		| 'Нет'     | 'Чтение справочника "Ресурсные спецификации"' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'        |
		| 'Нет'     | 'Чтение справочник складские ячейки' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    	|
		| 'Нет'     | 'Чтение справочник склады' 	|
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'     |
		| 'Нет'     | 'Чтение справочник тара' 		|
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    	              |
		| 'Нет'     | 'Чтение справочник характеристики номенклатуры' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)'    	          |
		| 'Нет'     | 'Чтение справочника "Виды рабочих центров"' |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Профиль групп доступа (создание) *' в течение 20 секунд
	Тогда открылось окно 'Профили групп доступа'
	И Я закрываю окно 'Профили групп доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 08_piece_rate_calculation.01.001 Создание групп пользователей
	И Я создаю группу доступа "Базовые права" с профилем "Базовый профиль"
	И Я создаю группу доступа "Киоски (меню учетных точек)" с профилем "Киоски(меню учетных точек)"
	И Я создаю группу доступа "Приемка материалов и сырья" с профилем "Приемка материалов и сырья"
	И Я создаю группу доступа "Мастера сырцеха" с профилем "Мастера сырцеха"
	И Я создаю группу доступа "Бухгалтер" с профилем "Бухгалтер"
	И Я создаю группу доступа "Учет выработки для сдельной оплаты труда" с профилем "Учет выработки для сдельной оплаты труда"
	И Я создаю группу доступа "Начисление зарплаты по выработке" с профилем "Начисление зарплаты по выработке"

Сценарий: 08_piece_rate_calculation.01.001 Создание пользователей
	И Я создаю пользователя "Мастер сырцеха" с профилями "Базовые права;Мастера сырцеха;Учет выработки для сдельной оплаты труда"
	И Я создаю пользователя "Ответственный за перемещения" с профилями "Базовые права;Киоски (меню учетных точек);Учет выработки для сдельной оплаты труда"
	И Я создаю пользователя "Ответственный за поступление" с профилями "Базовые права;Приемка материалов и сырья;Учет выработки для сдельной оплаты труда"
	И Я создаю пользователя "Ответственный за выпуск" с профилями "Базовые права;Киоски (меню учетных точек);Учет выработки для сдельной оплаты труда"
	И Я создаю пользователя "Бухгалтер" с профилями "Базовые права;Бухгалтер;Начисление зарплаты по выработке"

Сценарий: 08_piece_rate_calculation.01.001 Добавление Пользователя к профилям
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Группы доступа'
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  | 'Профиль'         |
		| 'Базовые права' | 'Базовый профиль' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Базовые права (Группа доступа)'
	И в таблице "Пользователи" я нажимаю на кнопку с именем 'ПользователиПодобрать'
	Тогда открылось окно 'Подбор участников группы доступа'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'   |
		| 'Пользователь' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователяКоманда'
	И я нажимаю на кнопку 'Подобрать и закрыть'
	Тогда открылось окно 'Базовые права (Группа доступа) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Базовые права (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                | 'Профиль'                    |
		| 'Киоски (меню учетных точек)' | 'Киоски(меню учетных точек)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Киоски (меню учетных точек) (Группа доступа)'
	И в таблице "Пользователи" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор участников группы доступа'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'   |
		| 'Пользователь' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователяКоманда'
	И я нажимаю на кнопку 'Подобрать и закрыть'
	Тогда открылось окно 'Киоски (меню учетных точек) (Группа доступа) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Киоски (меню учетных точек) (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                	     | 'Профиль'                    		  |
		| 'Учет выработки для сдельной оплаты труда' | 'Учет выработки для сдельной оплаты труда' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Учет выработки для сдельной оплаты труда (Группа доступа)'
	И в таблице "Пользователи" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор участников группы доступа'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'   |
		| 'Пользователь' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователяКоманда'
	И я нажимаю на кнопку 'Подобрать и закрыть'
	Тогда открылось окно 'Учет выработки для сдельной оплаты труда (Группа доступа) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Учет выработки для сдельной оплаты труда (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И Я закрываю окно 'Группы доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'